Support » Theme: Twenty Seventeen » I can not update the theme

  • Resolved vasavi

    (@vasavi)


    When I upgrade from version 1.0 to version 1.1, in a few hours, the Panel displays the warning that I have a 1.1 theme update again. That is, it does not take the update.
    I’ve tried it three times, and the result is always the same.
    What could be the problem?. Thanks for the help.

Viewing 12 replies - 1 through 12 (of 12 total)
  • Moderator Kathryn

    (@zoonini)

    Automattic Happiness Engineer

    Sounds like perhaps the update is only getting partially completed. You could try a manual update of the theme via FTP. This would involve removing or renaming the original Twenty Seventeen folder, and then uploading the new folder. Be sure you haven’t modified any of the original theme files, otherwise you’ll lose all your changes. You might also want to first download the original folder to be safe.

    Be careful and good luck. 🙂

    Yes, that was the problem. I did what you told me and it worked correctly. Thank you very much.

    Moderator Kathryn

    (@zoonini)

    Automattic Happiness Engineer

    You’re very welcome – glad that did the trick.

    Sorry Kathryn but today, upon entering the Panel I see that the same thing happens again.

    Moderator Kathryn

    (@zoonini)

    Automattic Happiness Engineer

    What Panel are you referring to, just so I’m clear what you’re referring to? Can you paste the URL from your browser’s address bar?

    Well I want to say that when I enter my Panel as admin, I see again the message that I already communicated in my first post:

    When I upgrade from version 1.0 to version 1.1, in a few hours, the Panel displays the warning that I have a 1.1 theme update again. That is, it does not take the update.

    Moderator Kathryn

    (@zoonini)

    Automattic Happiness Engineer

    It sounds like you’re referring to your WordPress dashboard at your-url/wp-admin.

    If you go to Appearance > Themes, when you click on the theme info box, does it show that you’re running version 1 or 1.1?

    Manage Themes Sela 1 0 15 by Automattic WordPress

    If it says 1, perhaps something in your hosting setup is reverting back to the old theme incorrectly. To rule out a plugin somehow causing this to happen, you could try temporarily turning off all your plugins and waiting 24 hours and see if it happens again.

    Thank you, I’ll try what you tell me, and I’ll let you know

    Well, after performing several checks these days I’ve come to the conclusion that the problem occurs the moment I make some change in “style.css”. It is just at that moment when the theme returns from version 1.1 to version 1.0
    I have performed these tests by disabling all plugins and the problem occurs in the same way. Can you think of any idea to solve it? Thank you

    Moderator Kathryn

    (@zoonini)

    Automattic Happiness Engineer

    You should not be editing the stylesheet directly, as all changes will be overwritten every time the theme is updated.

    Instead, you should use custom CSS to override specific elements. An easy way to add custom CSS is to use the CSS editor included in the Customizer with WordPress 4.7. Head to Appearance > Customize > Additional CSS to add your custom CSS.

    Hi Kathryn,
    I made the changes as you indicated and I think the problem has been solved, although I will wait 24 hours to check it. I will inform you of the result.
    I was surprised by your great knowledge about WordPress.
    Thank you very much for the help.

    Moderator Kathryn

    (@zoonini)

    Automattic Happiness Engineer

    My pleasure! I hope this solves it once and for all.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘I can not update the theme’ is closed to new replies.